---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 281203f2-aeb2-573c-8207-5bdad109d03f
      tier: AATSR_CMP_MONTH
      value: 0.03674210235476494
    brdf:
      alpha_1:
        band_1: 0.221560489374725
        band_11: 0.2207934568343118
        band_12: 0.07321098880871856
        band_2: 0.2215184704315729
        band_3: 0.5114674148744522
        band_4: 0.2631171457070611
        band_5: 0.2631171457070611
        band_6: 0.2631356170952974
        band_7: 0.8276889119305881
        band_8: 0.8276588238657082
        band_8a: 0.8276895737481862
      alpha_2:
        band_1: 0.21686871149877962
        band_11: 0.18519009511522697
        band_12: 0.2426103117091477
        band_2: 0.2168560413282524
        band_3: 0.16074762165558348
        band_4: 0.21291491156177333
        band_5: 0.21291491156177333
        band_6: 0.2129147413726635
        band_7: 0.05620581125462925
        band_8: 0.05621166599212583
        band_8a: 0.0562052238027749
      id:
      - b321cc6a-baec-5d4e-a3f7-b4d61322ae6c
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.258
    water_vapour:
      id:
      - 6a51e399-c7e7-5c5b-9db4-08c1d14ab50a
      tier: DEFINITIVE
      value: 5.190000152587891
  id: d85dedeb-052e-450b-ad48-eb7891839998
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1920.7610166789882
      BAND-11: 233.842018264466
      BAND-12: 79.97545337875684
      BAND-2: 1963.3971094248232
      BAND-3: 1838.3550151712768
      BAND-4: 1501.0171842678324
      BAND-5: 1385.631751753509
      BAND-6: 1264.3930468264782
      BAND-7: 1157.4804388057516
      BAND-8: 1025.1456863948958
      BAND-8A: 934.8521942207993
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-05-03 01:01:54.169679Z
    atime: 2022-05-26 12:15:48Z
    ctime: 2019-05-03 06:43:57Z
    mtime: 2019-05-03 06:43:53Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20190503T005711_N0207_R002_T53KRB_20190503T022922.zip
  system_information:
    hostname: gadi-cpu-clx-2399.gadi.nci.org.au
    runtime_id: 93afd808-dced-11ec-9c84-00000191fe80
    time_processed: 2022-05-26 12:15:48.459132Z
    uname: 'Linux gadi-cpu-clx-2399.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 14.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 6
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190503T022922_A020162_T53KRB_N02.07
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 20.37
      xy: 73.93
      y: 71.07
    abs_iterative_mean:
      x: 21.44
      xy: 77.24
      y: 74.2
    cep90: 79.49
    iterative_mean:
      x: 21.44
      xy: 77.24
      y: 74.2
    iterative_stddev:
      x: 4.04
      xy: 5.26
      y: 3.36
    mean:
      x: 20.37
      xy: 73.93
      y: 71.07
    stddev:
      x: 5.07
      xy: 7.28
      y: 5.23
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 1.4567346483844807
    cloud: 86.56577021854939
    cloud_shadow: 0.4397123028002267
    snow: 0.45301021459411056
    water: 11.084772615671795
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 10.691587887710483
    cloud: 89.30841211228952
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
